# TypeVariableMatcher

data class TypeVariableMatcher (val name: String ) : TypeMatcher

A TypeMatcher that matches a type variable.

#### Parameters

name

the name of the type variable.

#### See also

TypeVariable.getName

## Constructors

TypeVariableMatcher
Link copied to clipboard
constructor(name: String )

## Properties

name
Link copied to clipboard
val name : String

## Functions

asGenericArray
Link copied to clipboard
fun TypeMatcher . asGenericArray (): GenericArrayTypeMatcher

Creates a GenericArrayTypeMatcher from TypeMatcher.

matches
Link copied to clipboard
open override fun matches (type: Type ): Boolean

Check if the type matches the given type.